Bug 2602 - Additional file info in the --stats report
Additional file info in the --stats report
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.1.0
All Solaris
: P3 enhancement
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 09:07 UTC by David C. Mores
Modified: 2008-09-27 10:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David C. Mores 2005-04-13 09:07:27 UTC
Expanding the file counts info would provide the user with a comprehensive
picture of what rsync did for a given invocation. I see this as an aid for
checking what was expected against what actual happened. 

In the following example a number of [new] items are suggested. 

Number of files: 141
Number of files transferred: 139  (maybe this should be changed to regular files
transferred)
[new] Number of link files created: xxx
[new] Number of directory files created: yyy
[new] Number of regular files deleted: aaa
[new] Number of link files deleted: bbb
[new] Number of directory files deleted: ccc
Total file size: 463166 bytes
Total transferred file size: 463144 bytes
Literal data: 463144 bytes
Matched data: 0 bytes
File list size: 3128
File list generation time: 0.517 seconds
File list transfer time: 0.000 seconds
Total bytes sent: 472690
Total bytes received: 3090

This is not a comprehensive example, but should give you the idea.  To cut down
on some of the clutter for all file type possibilities, file info items with a
zero count could be dropped optionally.
Comment 1 Wayne Davison 2005-05-16 10:00:42 UTC
Seems like a nice idea, but it will take a protocol bump to implement it, so an
implementation will probably wait a while to see what other protocol-changing
ideas come up that can be grouped together.
Comment 2 Andrew Benham 2008-04-02 08:50:04 UTC
I guess this didn't happen in 3.0.0

We can use --stats to find if we got any new files, but we have no way of knowing if we got no new files but some files were deleted.
Comment 3 Wayne Davison 2008-09-27 10:45:03 UTC
I have checked in an enhancement that adds extra statistics information.  Here is a sample of the early part of its output (the latter part is unchanged):

Number of files: 38 (reg: 31, dir: 3, link: 3, special: 1)
Number of created files: 15 (reg: 11, dir: 1, link: 3)
Number of deleted files: 11 (reg: 10, dir: 1)
Number of regular files transferred: 17
Total file size: 271,924 bytes
Total transferred file size: 176,726 bytes
[...]

The new info is the break-down into types, and the number of deleted files (which is always output, even if --delete* isn't used, but only if the latest protocol 31 is active).  The break-down section is omitted if the related total is 0.

Types:
reg = regular files
link = symbolic links
dir = directories
dev = devices
special = special files